Topic on User talk:MaxSem

Jump to navigation Jump to search
4nn1l2bot (talkcontribs)

Hello, I would like to run CommonsNotifier on fawiki. I have followed the instructions, and everything seems OK except for the database part. When I run bin/first-run, I get the following error

Traceback (most recent call last):
  File "/mnt/nfs/labstore-secondary-tools-project/nn1l2bot/bot/virtualenv/lib/python3.5/site-packages/pymysql/connections.py", line 920, in connect
    **kwargs)
  File "/usr/lib/python3.5/socket.py", line 712, in create_connection
    raise err
  File "/usr/lib/python3.5/socket.py", line 703, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./make-list.py", line 11, in <module>
    userdb = mysql.connect()
  File "/mnt/nfs/labstore-secondary-tools-project/nn1l2bot/bot/commonsbot/mysql.py", line 33, in connect
    use_unicode=True)
  File "/mnt/nfs/labstore-secondary-tools-project/nn1l2bot/bot/virtualenv/lib/python3.5/site-packages/pymysql/__init__.py", line 90, in Connect
    return Connection(*args, **kwargs)
  File "/mnt/nfs/labstore-secondary-tools-project/nn1l2bot/bot/virtualenv/lib/python3.5/site-packages/pymysql/connections.py", line 699, in __init__
    self.connect()
  File "/mnt/nfs/labstore-secondary-tools-project/nn1l2bot/bot/virtualenv/lib/python3.5/site-packages/pymysql/connections.py", line 967, in connect
    raise exc
pymysql.err.OperationalError: (2003, "Can't connect to MySQL server on 'localhost' ([Errno 111] Connection refused)")
CRITICAL: Exiting due to uncaught exception <class 'pymysql.err.OperationalError'>

I want to run the code by User:4nn1l2bot from toolforge. Currently, my.cnf file reads:

[client]
password = <redacted>
user = s53099
host = tools.db.svc.eqiad.wmflabs
database = s53099__commonsbot

I have spent several hours to get familiar with the process, but I'm stuck. I would appreciate your help.

4nn1l2 (talkcontribs)

I am sorry that I accidentally sent the above message with my bot account. I am new to Flow.

4nn1l2 (talkcontribs)

Problem solved with copying my.cnf from bot directory to its parent directory.

MaxSem (talkcontribs)

Hey, did you know you can just ask us to run it for you? We'd be happy to help.

4nn1l2 (talkcontribs)

I would be more than happy to run it on the Persian Wikipedia (fawiki) and maybe the Arabic Wikipedia (arwiki). I will also complete all the formalities such as filling in a phab ticket (phab:T190233), asking for the approval, etc. Furthermore, this is the first edit by the bot on fawiki: fa:special:diff/26557322. However, if you believe that running two bots would be a waste of resources or for whatever reason the bot should be run by User:Community Tech bot, I understand and will abide by. Please let me know.

NKohli (WMF) (talkcontribs)

@4nn1l2 Is there a reason you want to run this by yourself? Keeping it all in one place is much simpler.

4nn1l2 (talkcontribs)

@NKohli (WMF): I stopped running 4nn1l2bot. Please see m:Special:Diff/19194399. Phab ticket created too: phab:T227622. You guys should have announced the creation of the bot to the Technical Village Pump of different projects much sooner. One year after the creation of the bot, it has been deployed on only 4 Wikipedias. I'm sorry to be blunt, but Community Tech seems to have a communication problem.

NKohli (WMF) (talkcontribs)

@4nn1l2 I am sorry about that. This was announced on the project page for the wishlist project and messaged to people who voted for this project and also announced on our newsletter. We didn't announce it on all village pumps because we did not have the bandwidth to translate messages into so many languages. We will try to do a better job of it in future.

Reply to "CommonsNotifier"